package kr.co.hanwha.hifive.data.model;

import java.util.ArrayList;

/**
 * Created by aaron on 2018. 10. 5.
 *
 * 멤버 캠페인(KR)의 상위 캠페인 정보
 */
public class ProjectCampaignsTree {

    int project_campaign_id;
    String project_campaign_desc;
    ArrayList<MemberCampaignsTree> listMemberCampaignsTree;

    public ProjectCampaignsTree(int project_campaign_id, String project_campaign_desc, ArrayList<MemberCampaignsTree> listMemberCampaignsTree) {
        this.project_campaign_id = project_campaign_id;
        this.project_campaign_desc = project_campaign_desc;
        this.listMemberCampaignsTree = listMemberCampaignsTree;
    }

    public int getProject_campaign_id() {
        return project_campaign_id;
    }

    public void setProject_campaign_id(int project_campaign_id) {
        this.project_campaign_id = project_campaign_id;
    }

    public String getProject_campaign_desc() {
        return project_campaign_desc;
    }

    public void setProject_campaign_desc(String project_campaign_desc) {
        this.project_campaign_desc = project_campaign_desc;
    }

    public ArrayList<MemberCampaignsTree> getListMemberCampaignsTree() {
        return listMemberCampaignsTree;
    }

    public void setListMemberCampaignsTree(ArrayList<MemberCampaignsTree> listMemberCampaignsTree) {
        this.listMemberCampaignsTree = listMemberCampaignsTree;
    }
}

/*{
    "project_campaign_id": 0,
    "project_campaign_desc": "invalid project campaign",
    "listMemberCampaignsTree": []
}*/
